### Method

# Camel URL set_param

#### Declaration [src]

    void
    camel_url_set_param (
      CamelURL* url,
      const gchar* name,
      const gchar* value
    )

#### Description [src]

Set a param on the `CamelURL`.

#### Parameters

`name`

  Type: `const gchar*`

  Name of the param to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  Value of the param to set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.